---
- hosts: k8s-cluster
  roles:
    - { role: kubernetes/preinstall, tags: preinstall }
    - { role: etcd, tags: etcd }
    - { role: docker, tags: docker }
    - { role: kubernetes/node, tags: node }
    - { role: network_plugin, tags: network }

- hosts: kube-master
  roles:
    - { role: kubernetes/master, tags: master }

- hosts: k8s-cluster
  roles:
    - { role: dnsmasq, tags: dnsmasq }

- hosts: kube-master[0]
  roles:
    - {role: kubernetes-apps, tags: apps}
